<?php
/*
  $Id: boxes.php 1739 2007-12-20 00:52:16Z hpdl $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/
  class tableBox {
    var $table_border = '0';
    var $table_width = '100%';
    var $table_cellspacing = '0';
    var $table_cellpadding = '0';
    var $table_parameters = '';
    var $table_row_parameters = '';
    var $table_data_parameters = '';

// class constructor
    function tableBox($contents, $direct_output = false) {
      $tableBox_string = '<table border="' . tep_output_string($this->table_border) . '" width="' . tep_output_string($this->table_width) . '" cellspacing="' . tep_output_string($this->table_cellspacing) . '" cellpadding="' . tep_output_string($this->table_cellpadding) . '"';
      if (tep_not_null($this->table_parameters)) $tableBox_string .= ' ' . $this->table_parameters;
      $tableBox_string .= '>' . "\n";

      for ($i=0, $n=sizeof($contents); $i<$n; $i++) {
        if (isset($contents[$i]['form']) && tep_not_null($contents[$i]['form'])) $tableBox_string .= $contents[$i]['form'] . "\n";
        $tableBox_string .= '  <tr';
        if (tep_not_null($this->table_row_parameters)) $tableBox_string .= ' ' . $this->table_row_parameters;
        if (isset($contents[$i]['params']) && tep_not_null($contents[$i]['params'])) $tableBox_string .= ' ' . $contents[$i]['params'];
        $tableBox_string .= '>' . "\n";

        if (isset($contents[$i][0]) && is_array($contents[$i][0])) {
          for ($x=0, $n2=sizeof($contents[$i]); $x<$n2; $x++) {
            if (isset($contents[$i][$x]['text']) && tep_not_null($contents[$i][$x]['text'])) {
              $tableBox_string .= '    <td';
              if (isset($contents[$i][$x]['align']) && tep_not_null($contents[$i][$x]['align'])) $tableBox_string .= ' align="' . tep_output_string($contents[$i][$x]['align']) . '"';
              if (isset($contents[$i][$x]['params']) && tep_not_null($contents[$i][$x]['params'])) {
                $tableBox_string .= ' ' . $contents[$i][$x]['params'];
              } elseif (tep_not_null($this->table_data_parameters)) {
                $tableBox_string .= ' ' . $this->table_data_parameters;
              }
              $tableBox_string .= '>';
              if (isset($contents[$i][$x]['form']) && tep_not_null($contents[$i][$x]['form'])) $tableBox_string .= $contents[$i][$x]['form'];
              $tableBox_string .= $contents[$i][$x]['text'];
              if (isset($contents[$i][$x]['form']) && tep_not_null($contents[$i][$x]['form'])) $tableBox_string .= '</form>';
              $tableBox_string .= '</td>' . "\n";
            }
          }
        } else {
          $tableBox_string .= '    <td';
          if (isset($contents[$i]['align']) && tep_not_null($contents[$i]['align'])) $tableBox_string .= ' align="' . tep_output_string($contents[$i]['align']) . '"';
          if (isset($contents[$i]['params']) && tep_not_null($contents[$i]['params'])) {
            $tableBox_string .= ' ' . $contents[$i]['params'];
          } elseif (tep_not_null($this->table_data_parameters)) {
            $tableBox_string .= ' ' . $this->table_data_parameters;
          }
          $tableBox_string .= '>' . $contents[$i]['text'] . '</td>' . "\n";
        }

        $tableBox_string .= '  </tr>' . "\n";
        if (isset($contents[$i]['form']) && tep_not_null($contents[$i]['form'])) $tableBox_string .= '</form>' . "\n";
      }

      $tableBox_string .= '</table>' . "\n";

      if ($direct_output == true) echo $tableBox_string;

      return $tableBox_string;
    }
  }
// **********************************************************************************************
// ************************ class infoBoxHeading  
  class infoBoxHeading extends tableBox {
    function infoBoxHeading($contents, $left_corner = true, $right_corner = true, $right_arrow = false) {
	
      $this->table_cellpadding = '0';
      $this->table_parameters = ' class="infoBoxHeading_table"';	  

      $info_box_contents = array();
      $info_box_contents[] = array(array('params' => '',
                                         'text' => "
										 
										 
										 
                           <table cellpadding='0' cellspacing='0' border='0'>
                                <tr>
                                    <td>
										".tep_image(DIR_WS_IMAGES.'title_left_bg.gif')."<br>
                                    </td>
                                    <td class='title_tall_bg infoBoxHeading_td'>
										 
										 
										 " .  $contents[0]['text']. "
										 
										 
                                    </td>
                                    <td>
										".tep_image(DIR_WS_IMAGES.'title_right_bg.gif')."<br>
                                    </td>
                                </tr>
                           </table>       
										 
										 
										 
										 
										 "));

										 

      $this->tableBox($info_box_contents, true);
    }
  }
// **********************************************************************************************
// ************************ class infoBox  
  class infoBox extends tableBox {
    function infoBox($contents) {
      $info_box_contents = array();
      $info_box_contents[] = array('text' => $this->infoBoxContents($contents));
      $this->table_cellpadding = '0';
      $this->table_parameters = '';
      $this->table_data_parameters = '';	  
      $this->tableBox($info_box_contents, true);
    }

    function infoBoxContents($contents) {
      $this->table_cellpadding = '0';
      $this->table_parameters = ' class=""';
      $info_box_contents = array();
      for ($i=0, $n=sizeof($contents); $i<$n; $i++) {
      $info_box_contents[] = array(array('align' => (isset($contents[$i]['align']) ? $contents[$i]['align'] : ''),
										 'form' => (isset($contents[$i]['form']) ? $contents[$i]['form'] : ''),
										 'params' => ' class="boxText"',
                                         'text' => '
										 
										 
										 
                    	<div class="infoBox"><table cellpadding="0" cellspacing="0" border="0">
                        	<tr>
                            	<td class="infoBox_td boxText">
                                	
										 
										 '.(isset($contents[$i]['text']) ? $contents[$i]['text'] : '').'
										 
                                </td>
                            </tr>
                        </table></div>
                    
					
										 
										 ')); 
		}
      return $this->tableBox($info_box_contents);
    }
  }
// **********************************************************************************************

// ************************ class infoBoxHeading_1  
  class infoBoxHeading_1 extends tableBox {
    function infoBoxHeading_1($contents, $left_corner = true, $right_corner = true, $right_arrow = false) {
      $this->table_cellpadding = '0';
      $this->table_parameters = ' class="infoBoxHeading1_table"';	  

      $info_box_contents = array();
      $info_box_contents[] = array(array('params' => ' class="infoBoxHeading1_table_in1"',
                                         'text' => "
										 
										 
										 
                           <table cellpadding='0' cellspacing='0' border='0'>
                                <tr>
                                    <td class='infoBoxHeading1_td'>
										 
										 
										 " .  $contents[0]['text']. "
										 
										 
                                    </td>
                                </tr>
                           </table>       
										 
										 
										 
										 
										 "));


										 

      $this->tableBox($info_box_contents, true);
    }
  }
// **********************************************************************************************
// ************************ class infoBox_1  
  class infoBox_1 extends tableBox {
    function infoBox_1($contents) {
      $info_box_contents = array();
      $info_box_contents[] = array('text' => $this->infoBoxContents($contents));
      $this->table_cellpadding = '0';
      $this->table_parameters = ' class="infoBox1"';
      $this->table_data_parameters = ' class="inner1"';	  
      $this->tableBox($info_box_contents, true);
    }

    function infoBoxContents($contents) {
      $this->table_cellpadding = '0';
      $this->table_parameters = ' class="inner2"';
      $info_box_contents = array();
      for ($i=0, $n=sizeof($contents); $i<$n; $i++) {
      $info_box_contents[] = array(array('align' => (isset($contents[$i]['align']) ? $contents[$i]['align'] : ''),
										 'form' => (isset($contents[$i]['form']) ? $contents[$i]['form'] : ''),
										 'params' => ' class="inner3"',
                                         'text' => '
										 
										 
                    	<table cellpadding="0" cellspacing="0" border="0">
                        	<tr>
                            	<td class="infoBox1_td boxText">
                                	
										 
										 '.(isset($contents[$i]['text']) ? $contents[$i]['text'] : '').'
										 
                                </td>
                            </tr>
                        </table>
						
						
										 
										 ')); 
		}
      return $this->tableBox($info_box_contents);
    }
  }
// **********************************************************************************************
// ************************ class infoBoxHeading_2  
  class infoBoxHeading_2 extends tableBox {
    function infoBoxHeading_2($contents, $left_corner = true, $right_corner = true, $right_arrow = false) {
      $this->table_cellpadding = '0';
      $this->table_parameters = ' class="infoBoxHeading2_table"';	  

      $info_box_contents = array();
      $info_box_contents[] = array(array('params' => ' class="infoBoxHeading2_table_in1"',
                                         'text' => "
										 
										 
										 
                           <table cellpadding='0' cellspacing='0' border='0'>
                                <tr>
                                    <td class='infoBoxHeading2_td'>
										 
										 
										 " .  $contents[0]['text']. "
										 
										 
                                    </td>
                                </tr>
                           </table>       
										 
										 
										 
										 
										 "));


										 

      $this->tableBox($info_box_contents, true);
    }
  }
// **********************************************************************************************
// ************************ class infoBox_2  
  class infoBox_2 extends tableBox {
    function infoBox_2($contents) {
      $info_box_contents = array();
      $info_box_contents[] = array('text' => $this->infoBoxContents($contents));
      $this->table_cellpadding = '0';
      $this->table_parameters = ' class="infoBox2"';
      $this->table_data_parameters = ' class="inner1"';	  
      $this->tableBox($info_box_contents, true);
    }

    function infoBoxContents($contents) {
      $this->table_cellpadding = '0';
      $this->table_parameters = ' class="inner2"';
      $info_box_contents = array();
      for ($i=0, $n=sizeof($contents); $i<$n; $i++) {
      $info_box_contents[] = array(array('align' => (isset($contents[$i]['align']) ? $contents[$i]['align'] : ''),
										 'form' => (isset($contents[$i]['form']) ? $contents[$i]['form'] : ''),
										 'params' => ' class="inner3"',
                                         'text' => '
										 
										 
                    	<table cellpadding="0" cellspacing="0" border="0">
                        	<tr>
                            	<td class="infoBox2_td boxText">
                                	
										 
										 '.(isset($contents[$i]['text']) ? $contents[$i]['text'] : '').'
										 
                                </td>
                            </tr>
                        </table>
						
						
										 
										 ')); 
		}
      return $this->tableBox($info_box_contents);
    }
  }
// **********************************************************************************************
// ************************ class infoBoxHeading_3  
  class infoBoxHeading_3 extends tableBox {
    function infoBoxHeading_3($contents, $left_corner = true, $right_corner = true, $right_arrow = false) {
      $this->table_cellpadding = '0';
      $this->table_parameters = ' class="infoBoxHeading3_table"';	  

      $info_box_contents = array();
      $info_box_contents[] = array(array('params' => ' class="infoBoxHeading3_table_in1"',
                                         'text' => "
										 
										 
										 
                           <table cellpadding='0' cellspacing='0' border='0'>
                                <tr>
                                    <td class='infoBoxHeading3_td'>
										 
										 
										 " .  $contents[0]['text']. "
										 
										 
                                    </td>
                                </tr>
                           </table>       
										 
										 
										 
										 
										 "));


										 

      $this->tableBox($info_box_contents, true);
    }
  }
// **********************************************************************************************
// ************************ class infoBox_3  
  class infoBox_3 extends tableBox {
    function infoBox_3($contents) {
      $info_box_contents = array();
      $info_box_contents[] = array('text' => $this->infoBoxContents($contents));
      $this->table_cellpadding = '0';
      $this->table_parameters = ' class="infoBox3"';
      $this->table_data_parameters = ' class="inner1"';	  
      $this->tableBox($info_box_contents, true);
    }

    function infoBoxContents($contents) {
      $this->table_cellpadding = '0';
      $this->table_parameters = ' class="inner2"';
      $info_box_contents = array();
      for ($i=0, $n=sizeof($contents); $i<$n; $i++) {
      $info_box_contents[] = array(array('align' => (isset($contents[$i]['align']) ? $contents[$i]['align'] : ''),
										 'form' => (isset($contents[$i]['form']) ? $contents[$i]['form'] : ''),
										 'params' => ' class="inner3"',
                                         'text' => '
										 
										 
                    	<table cellpadding="0" cellspacing="0" border="0">
                        	<tr>
                            	<td class="infoBox3_td boxText">
                                	
										 
										 '.(isset($contents[$i]['text']) ? $contents[$i]['text'] : '').'
										 
                                </td>
                            </tr>
                        </table>
						
						
										 
										 ')); 
		}
      return $this->tableBox($info_box_contents);
    }
  }
// **********************************************************************************************
// **********************************************************************************************
// ************************ class infoBoxHeading_4  
  class infoBoxHeading_4 extends tableBox {
    function infoBoxHeading_4($contents, $left_corner = true, $right_corner = true, $right_arrow = false) {
      $this->table_cellpadding = '0';
      $this->table_parameters = ' class="infoBoxHeading4_table"';	  

      $info_box_contents = array();
      $info_box_contents[] = array(array('params' => ' ',
                                         'text' => "
										 
										 
										 
                           <table cellpadding='0' cellspacing='0' border='0' class='infoBoxHeading4_table_in1'>
                                <tr>
                                    <td class='title_tall_bg infoBoxHeading4_td'>
										 
										 
										 " .  $contents[0]['text']. "
										 
										 
                                    </td>
                                </tr>
                           </table>       
										 
										 
										 
										 
										 "));


										 

      $this->tableBox($info_box_contents, true);
    }
  }
// **********************************************************************************************
// ************************ class infoBox_4  
  class infoBox_4 extends tableBox {
    function infoBox_4($contents) {
      $info_box_contents = array();
      $info_box_contents[] = array('text' => $this->infoBoxContents($contents));
      $this->table_cellpadding = '0';
      $this->table_parameters = '';
      $this->table_data_parameters = '';	  
      $this->tableBox($info_box_contents, true);
    }

    function infoBoxContents($contents) {
      $this->table_cellpadding = '0';
      $this->table_parameters = '';
      $info_box_contents = array();
      for ($i=0, $n=sizeof($contents); $i<$n; $i++) {
      $info_box_contents[] = array(array('align' => (isset($contents[$i]['align']) ? $contents[$i]['align'] : ''),
										 'form' => (isset($contents[$i]['form']) ? $contents[$i]['form'] : ''),
										 'params' => '',
                                         'text' => '
										 
										 
										
										 
                  
						<table cellpadding="0" cellspacing="0" border="0" class="infoBox4">
                        	<tr>
                            	<td class="infoBox4_td boxText">'.(isset($contents[$i]['text']) ? $contents[$i]['text'] : '').'</td>
                            </tr>
                        </table>
						
						
										 
										 ')); 
		}
      return $this->tableBox($info_box_contents);
    }
  }
// **********************************************************************************************





















// -------------------------------------- infoBoxHeading_77 ----------
  class infoBoxHeading_77 extends tableBox {
    function infoBoxHeading_77($contents, $left_corner = true, $right_corner = true, $right_arrow = false) {
      $this->table_cellpadding = '0';
      $this->table_parameters = ' class="infoBoxHeading_77"';


      $info_box_contents[] = array((array('params' => ' style="width:100%;" class=""',
                                         'text' => '
										 
										 
    <table>
    	<tr>
            <td style="width:100%;" class="infoBoxHeading_td77">
            
										 
				'.$contents[0]['text'].'
										 
										 
            </td>
        </tr>
    </table>
										 
										 ')),
									
									
									);
      $this->tableBox($info_box_contents, true);
    }
  } 
// -------------------------------------- infoBox_77 ----------
  class infoBox_77 extends tableBox {
    function infoBox_77($contents) {
      $info_box_contents = array();
      $info_box_contents[] = array('text' => $this->infoBoxContents($contents));
      $this->table_cellpadding = '0';
      $this->table_parameters = '';
      $this->tableBox($info_box_contents, true);
    }

    function infoBoxContents($contents) {
      $this->table_cellpadding = '0';
      $this->table_parameters = ' class="infoBox"';
      $info_box_contents = array();
      for ($i=0, $n=sizeof($contents); $i<$n; $i++) {
      $info_box_contents[] = array(
										 
									(array('align' => (isset($contents[$i]['align']) ? $contents[$i]['align'] : ''),
										 'form' => (isset($contents[$i]['form']) ? $contents[$i]['form'] : ''),
										 'params' => ' style="width:100%;" class=""',
                                         'text' => '




    <table cellpadding="0" cellspacing="0" border="0">
    	<tr>
            <td class="infoBox_td77">
            
										 
				'.(isset($contents[$i]['text']) ? $contents[$i]['text'] : '').'
										 
										 
            </td>
        </tr>
    </table>


										 
										 
										 ')),
									
									
									);
      }

      return $this->tableBox($info_box_contents);
    }
  }






















// **********************************************************************************************
// ************************ class errorBox  
  class errorBox extends tableBox {
    function errorBox($contents) {
      $this->table_data_parameters = 'class="errorBox"';
      $this->tableBox($contents, true);
    }
  }
// **********************************************************************************************
// ************************ class tableBox_output
 class tableBox_output {
    var $table_border = '0';
    var $table_width = '';
    var $table_cellspacing = '0';
    var $table_cellpadding = '0';
    var $table_parameters = ' ';
    var $table_row_parameters = '';
    var $table_data_parameters = '';

// class constructor
    function tableBox_output($contents, $direct_output = false) {
      $tableBox_string = '<table border="' . tep_output_string($this->table_border) . '" width="' . tep_output_string($this->table_width) . '" cellspacing="' . tep_output_string($this->table_cellspacing) . '" cellpadding="' . tep_output_string($this->table_cellpadding) . '"';
      if (tep_not_null($this->table_parameters)) $tableBox_string .= '' . $this->table_parameters;
      $tableBox_string .= '>' . "\n";
      for ($i=0, $n=sizeof($contents); $i<$n; $i++) {
        if (isset($contents[$i]['form']) && tep_not_null($contents[$i]['form'])) $tableBox_string .= $contents[$i]['form'] . "\n";
		if ($i != 0) 
		{ 
		$tableBox_string.='<tr>
		<td colspan="'.(($x+$x)-1).'">
		
		<table cellpadding="0" cellspacing="0" border="0">
			<tr>
				<td style="width:100%;" class="prod_line_x padd_gg">'.tep_draw_separator('spacer.gif', '1', '1').'</td>
			</tr>
		</table>
		
		
		
		
		
		
		</td>
		
		
		</tr>';
		} 
		$tableBox_string .= '   <tr';
        if (tep_not_null($this->table_row_parameters)) $tableBox_string .= ' ' . $this->table_row_parameters;
        if (isset($contents[$i]['params']) && tep_not_null($contents[$i]['params'])) $tableBox_string .= ' ' . $contents[$i]['params'];
        $tableBox_string .= '>' . "\n";
        if (isset($contents[$i][0]) && is_array($contents[$i][0])) {
          for ($x=0, $n2=sizeof($contents[$i]); $x<$n2; $x++) {
            if (isset($contents[$i][$x]['text']) && tep_not_null($contents[$i][$x]['text'])) {
				if ($x >= 1){
					if($i == 0) {
					$tableBox_string .= '<td class="prod_line_y padd_vv">'.tep_draw_separator('spacer.gif', '1', '1').'</td>';
					}else{ 
					$tableBox_string .= '<td class="prod_line_y padd_vv">'.tep_draw_separator('spacer.gif', '1', '1').'</td>';} 
					}
			  $tableBox_string .= '    <td';
              if (isset($contents[$i][$x]['align']) && tep_not_null($contents[$i][$x]['align'])) $tableBox_string .= ' align="' . tep_output_string($contents[$i][$x]['align']) . '"';
              if (isset($contents[$i][$x]['params']) && tep_not_null($contents[$i][$x]['params'])) {
                $tableBox_string .= ' ' . $contents[$i][$x]['params'];
              } elseif (tep_not_null($this->table_data_parameters)) {
                $tableBox_string .= ' ' . $this->table_data_parameters;
              }
			  if ($i >= 1)	{
              $tableBox_string .= '>';		/*  */
			  }else{
			  $tableBox_string .= '>';
			  }
              if (isset($contents[$i][$x]['form']) && tep_not_null($contents[$i][$x]['form'])) $tableBox_string .= $contents[$i][$x]['form'];
			  $tableBox_string .= $contents[$i][$x]['text'];
              if (isset($contents[$i][$x]['form']) && tep_not_null($contents[$i][$x]['form'])) $tableBox_string .= '</form>';
              $tableBox_string .= '</td>  ' . "\n";
            }
          }
        } else {
        $tableBox_string .= '    <td';
        if (isset($contents[$i]['align']) && tep_not_null($contents[$i]['align'])) $tableBox_string .= ' align="' . tep_output_string($contents[$i]['align']) . '"';
        if (isset($contents[$i]['params']) && tep_not_null($contents[$i]['params'])) {
        $tableBox_string .= ' ' . $contents[$i]['params'];
        } elseif (tep_not_null($this->table_data_parameters)) {
          $tableBox_string .= ' ' . $this->table_data_parameters;
          }
          $tableBox_string .= '>' . $contents[$i]['text'] . '</td>' . "\n";
        }
        $tableBox_string .= '  </tr> 	' . "\n";
        if (isset($contents[$i]['form']) && tep_not_null($contents[$i]['form'])) $tableBox_string .= '</form>' . "\n";
      }
      $tableBox_string .= '</table>' . "\n";
      if ($direct_output == true) echo $tableBox_string;
      return $tableBox_string;
    }
  }
// **********************************************************************************************
// ************************ class tableBox_output
  class contentBox extends tableBox_output {
    function contentBox($contents) {
      $info_box_contents = array();
      $info_box_contents[] = array('text' => $this->contentBoxContents($contents));
      $this->table_cellpadding = '0';
      $this->table_parameters = '';
      $this->table_data_parameters = ' class="tableBox_output_td main"';	  
      $this->tableBox_output($info_box_contents, true);
    }

    function contentBoxContents($contents) {
      $this->table_cellpadding = '0';
      $this->table_parameters = '';
      return $this->tableBox_output($contents);
    }
  }
// **********************************************************************************************
// ------------------ contentBoxHeading ------------------------------
  class contentBoxHeading extends tableBox {
    function contentBoxHeading($contents) {
	

      $this->table_cellpadding = '0';
      $this->table_parameters = ' class="title"';

      $info_box_contents = array();
      $info_box_contents[] = array(array('params' => ' class="inner1"',
                                         'text' => '
										 
										 
										 
										 
										 
      <table cellpadding="0" cellspacing="0" border="0" class="inner2">
        <tr>
          <td class="inner3">
            <table cellpadding="0" cellspacing="0" border="0" class="inner4">
              <tr>
                <td class="inner5">
                  <table cellpadding="0" cellspacing="0" border="0" class="inner6">
                    <tr>
                      <td class="inner7">
                      
  ' . $contents[0]['text'] . '<br>
                      
                      
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
										  

								'));




      $this->tableBox($info_box_contents, true);
    }
  }

// **********************************************************************************************
  class contentBoxHeading_WHATS_NEW extends tableBox {
    function contentBoxHeading_WHATS_NEW($contents) {


      $this->table_cellpadding = '0';
      $this->table_parameters = ' class="title"';

      $info_box_contents = array();
      $info_box_contents[] = array(array('params' => ' class="inner1"',
                                         'text' => '
										 
										 
						
						
      <table cellpadding="0" cellspacing="0" border="0" class="inner2">
        <tr>
          <td class="inner3">
            <table cellpadding="0" cellspacing="0" border="0" class="inner4">
              <tr>
                <td class="inner5">
                  <table cellpadding="0" cellspacing="0" border="0" class="inner6">
                    <tr>
                      <td class="inner7">
                      
  ' . BOX_HEADING_WHATS_NEW . '<br>
                      
                      
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
						
						
										 
										 
										  
								
								
								
								'));



      $this->tableBox($info_box_contents, true);
    }
  }
// ********************************************************************************************** 
  class contentBoxHeading_ProdNew extends tableBox {
    function contentBoxHeading_ProdNew($contents) {

      $this->table_cellpadding = '0';
      $this->table_parameters = ' class="title"';

      $info_box_contents = array();
      $info_box_contents[] = array(array('params' => ' class="inner1"',
                                         'text' => '
										 
						
      <table cellpadding="0" cellspacing="0" border="0" class="inner2">
        <tr>
          <td class="inner3">
            <table cellpadding="0" cellspacing="0" border="0" class="inner4">
              <tr>
                <td class="inner5">
                  <table cellpadding="0" cellspacing="0" border="0" class="inner6">
                    <tr>
                      <td class="inner7">
                      
  ' . HEADING_TITLE . '<br>
                      
                      
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
						
						
										 
										
										  

								
								'));

      $this->tableBox($info_box_contents, true);
    }
  }
// **********************************************************************************************
  function tep_draw_title_top()
  {
  return $table = '
										 
<table cellpadding="0" cellspacing="0" border="0" class="title">
  <tr>
    <td class="inner1">
      <table cellpadding="0" cellspacing="0" border="0" class="inner2">
        <tr>
          <td class="inner3">
            <table cellpadding="0" cellspacing="0" border="0" class="inner4">
              <tr>
                <td class="inner5">
                  <table cellpadding="0" cellspacing="0" border="0" class="inner6">
                    <tr>
                      <td class="inner7">
                      
  
                      
                      


										 
  ';
  }
// **********************************************************************************************
  function  tep_draw_title_bottom()
  {
   return $table =  '			
   								
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
              
										   
   ';
  }
// ********************************************************************************************** 
// **********************************************************************************************
  function tep_draw_title2_top()
  {
  return $table = '
										 
<table cellpadding="0" cellspacing="0" border="0" class="title">
  <tr>
    <td class="inner1">
      <table cellpadding="0" cellspacing="0" border="0" class="inner2">
        <tr>
          <td class="inner3">
            <table cellpadding="0" cellspacing="0" border="0" class="inner4">
              <tr>
                <td class="inner5">
                  <table cellpadding="0" cellspacing="0" border="0" class="inner6">
                    <tr>
                      <td class="inner7">
					  
					  
  ';
  }
// **********************************************************************************************
  function  tep_draw_title2_bottom()
  {
   return $table =  '
   				
								<br>
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>

										  
   ';
  }
// ********************************************************************************************** 
// ************************ class tableBox_shopping_cart 
class tableBox_shopping_cart {
    var $table_border = '0';
    var $table_width = '';
    var $table_cellspacing = '0';
    var $table_cellpadding = '0';
    var $table_parameters = '';
    var $table_row_parameters = '';
    var $table_data_parameters = '';

// class constructor
    function tableBox_shopping_cart($contents, $direct_output = false) {
      $tableBox_string = '<table border="' . tep_output_string($this->table_border) . '" width="' . tep_output_string($this->table_width) . '" cellspacing="' . tep_output_string($this->table_cellspacing) . '" cellpadding="' . tep_output_string($this->table_cellpadding) . '"';
      if (tep_not_null($this->table_parameters)) $tableBox_string .= ' ' . $this->table_parameters;
      $tableBox_string .= '>' . "\n";
      for ($i=0, $n=sizeof($contents); $i<$n; $i++) {
        if (isset($contents[$i]['form']) && tep_not_null($contents[$i]['form'])) $tableBox_string .= $contents[$i]['form'] . "\n";
		if ($i >0) 
		{ 
		$tableBox_string.='<tr><td class="cart_line_x padd2_gg" colspan="'.(($x+$x)-1).'">'.tep_draw_separator('spacer.gif', '1', '1').'</td></tr>';
		} 
		$tableBox_string .= '   <tr';
        if (tep_not_null($this->table_row_parameters)) $tableBox_string .= ' ' . $this->table_row_parameters;
        if (isset($contents[$i]['params']) && tep_not_null($contents[$i]['params'])) $tableBox_string .= ' ' . $contents[$i]['params'];
        $tableBox_string .= '>' . "\n";
        if (isset($contents[$i][0]) && is_array($contents[$i][0])) {
          for ($x=0, $n2=sizeof($contents[$i]); $x<$n2; $x++) {
            if (isset($contents[$i][$x]['text']) && tep_not_null($contents[$i][$x]['text'])) {
				if ($x >= 1){
					if($i == 0) {
					$tableBox_string .= '<td class="cart_line_y padd2_vv">'.tep_draw_separator('spacer.gif', '1', '1').'</td>';
					}else{ 
					$tableBox_string .= '<td class="cart_line_y padd2_vv">'.tep_draw_separator('spacer.gif', '1', '1').'</td>';} 
					}
			  $tableBox_string .= '    <td';
              if (isset($contents[$i][$x]['align']) && tep_not_null($contents[$i][$x]['align'])) $tableBox_string .= ' align="' . tep_output_string($contents[$i][$x]['align']) . '"';
              if (isset($contents[$i][$x]['params']) && tep_not_null($contents[$i][$x]['params'])) {
                $tableBox_string .= ' ' . $contents[$i][$x]['params'];
              } elseif (tep_not_null($this->table_data_parameters)) {
                $tableBox_string .= ' ' . $this->table_data_parameters;
              }
			  if ($i >= 1)	{
              $tableBox_string .= '>';		/*  '.tep_draw_separator('spacer.gif', '1', '9').'<br />  */
			  }else{
			  $tableBox_string .= '>';
			  }
              if (isset($contents[$i][$x]['form']) && tep_not_null($contents[$i][$x]['form'])) $tableBox_string .= $contents[$i][$x]['form'];
			  $tableBox_string .= $contents[$i][$x]['text'];
              if (isset($contents[$i][$x]['form']) && tep_not_null($contents[$i][$x]['form'])) $tableBox_string .= '</form>';
              $tableBox_string .= '</td>  ' . "\n";
            }
          }
        } else {
          $tableBox_string .= '    <td';
          if (isset($contents[$i]['align']) && tep_not_null($contents[$i]['align'])) $tableBox_string .= ' align="' . tep_output_string($contents[$i]['align']) . '"';
          if (isset($contents[$i]['params']) && tep_not_null($contents[$i]['params'])) {
            $tableBox_string .= ' ' . $contents[$i]['params'];
          } elseif (tep_not_null($this->table_data_parameters)) {
            $tableBox_string .= ' ' . $this->table_data_parameters;
          }
          $tableBox_string .= '>' /* .tep_draw_shop_top_1() */  . $contents[$i]['text'] .  /* tep_draw_shop_bottom_1(). */ '</td>' . "\n";
        }

        $tableBox_string .= '  </tr>' . "\n";
		
/*  if ($i >= 2) {  */
 $tableBox_string .= '
										 
 ';
 /*  }  */		
		
        if (isset($contents[$i]['form']) && tep_not_null($contents[$i]['form'])) $tableBox_string .= '</form>' . "\n";
      }

      $tableBox_string .= '</table>' . "\n";

      if ($direct_output == true) echo $tableBox_string;

      return $tableBox_string;
    }
  }
  class productListingBox extends tableBox_shopping_cart {
    function productListingBox($contents) {
      $this->table_parameters = 'class="tableBox_shopping_cart main"';
      $this->tableBox_shopping_cart($contents, true);
    }
  }
 
// **********************************************************************************************
// **********************************************************************************************
// **********************************************************************************************
  function  tep_separat()
  { return $table = '<div style="padding:9px 0px 0px 0px;">'.tep_draw_separator('spacer.gif', '1', '1').'</div>';}
// **********************************************************************************************
  function  tep_separat2()
  { return $table = '<div style="padding:0 0px 2px 0px;">'.tep_draw_separator('spacer.gif', '1', '1').'</div>';}
// **********************************************************************************************
// **********************************************************************************************
  function  tep_draw_top77()
  { return $table = '';}
// **********************************************************************************************
  function  tep_draw_bottom77()
  { return $table = '';}
// **********************************************************************************************
// **********************************************************************************************
  function  tep_draw_top()
  { return $table = '
  
  
  
  
  ';}
// **********************************************************************************************
  function  tep_draw_bottom()
  { return $table = '
  
  
  
  ';}
// **********************************************************************************************
// **********************************************************************************************
  function  tep_draw1_top()
  { return $table = '';}
// **********************************************************************************************
  function  tep_draw1_bottom()
  { return $table = '';}
// **********************************************************************************************
// **********************************************************************************************
  function  tep_draw2_top()
  { return $table = '<table cellpadding="0" cellspacing="0" border="0"><tr><td class="padd_2">';}
// **********************************************************************************************
  function  tep_draw2_bottom()
  { return $table = '</td></tr></table>';}
// **********************************************************************************************
// **********************************************************************************************
  function  tep_draw3_top()
  { return $table = '';}
// **********************************************************************************************
  function  tep_draw3_bottom()
  { return $table = '';}
// **********************************************************************************************
// **********************************************************************************************
  function  tep_draw4_top()
  { return $table = '';}
// **********************************************************************************************
  function  tep_draw4_bottom()
  { return $table = '';}
// **********************************************************************************************
// **********************************************************************************************
  function  tep_draw5_top()
  { return $table = '
  
  
                
        
  
  
  ';}
// **********************************************************************************************
  function  tep_draw5_bottom()
  { return $table = '
  
  
  
  
  ';}
// **********************************************************************************************
// **********************************************************************************************
  function  tep_draw_prod_pic_top()
  {
  return $table = '<table cellpadding="0" cellspacing="0" border="0" class="img_inner1"><tr><td>';
  }
// **********************************************************************************************
  function  tep_draw_prod_pic_bottom()
  {
   return $table = '</td></tr></table>';
  }
// **********************************************************************************************

// **********************************************************************************************
  function  tep_draw_prod_pic_top2()
  {
  return $table = '<table cellpadding="0" cellspacing="0" border="0" class="img_inner1"><tr><td>';
  }
// **********************************************************************************************
  function  tep_draw_prod_pic_bottom2()
  {
   return $table = '<br></td></tr></table>';
  }
// **********************************************************************************************



// **********************************************************************************************
  function  tep_draw_prod_top()
  {
  return $table = '';
  }
// **********************************************************************************************
  function  tep_draw_prod_bottom()
  {
   return $table = '';
  }
// **********************************************************************************************
// **********************************************************************************************
  function  tep_draw_prod2_top()
  {
  return $table = '';
  }
// **********************************************************************************************
  function  tep_draw_prod2_bottom()
  {
   return $table = '';
  }
// **********************************************************************************************
// **********************************************************************************************
  function  panel_top(){ require(DIR_WS_BOXES . 'panel_top.php');}
  function  panel_top2(){ require(DIR_WS_BOXES . 'panel_top2.php');}
// **********************************************************************************************

// **********************************************************************************************
  function  tep_draw_price_top()
  {
  return $table = ''; }
// **********************************************************************************************
  function  tep_draw_price_bottom()
  {
   return $table = '';}
// **********************************************************************************************
// **********************************************************************************************
  function  tep_pixel_trans()
  { return $table = '<div style="padding:0px 0px 9px 0px;">'.tep_draw_separator('spacer.gif', '1', '1').'</div>';}
// **********************************************************************************************
// **********************************************************************************************
  function  tep_draw_side_top()
  {
  return $table = '
  
  <table class="x2">
  <tr>
  <td>
  
  
  
  ';
  }
// **********************************************************************************************
  function  tep_draw_side_bottom()
  {
   return $table = '
   
   
   </td></tr></table>
   
   
   ';
  }
// **********************************************************************************************
// **********************************************************************************************
  function tep_draw_result1_top()
  {
   return $table = '';
  }
// **********************************************************************************************
function tep_draw_result1_bottom()
	{
   return $table = '';
  }
// **********************************************************************************************
// **********************************************************************************************
  function tep_draw_result2_top()
  {
   return $table = '';
  }
// **********************************************************************************************
function tep_draw_result2_bottom()
	{
   return $table = '';
  }
// **********************************************************************************************
// **********************************************************************************************
  function  tep_draw_infoBox_top()
  {
  return $table = '
  
  
  
  ';
  }
// **********************************************************************************************
  function  tep_draw_infoBox_bottom()
  {
   return $table = '
   
                        
   
   ';
  }
// **********************************************************************************************
// **********************************************************************************************
  function  tep_draw_infoBox2_top()
  {
  return $table = '<table cellpadding="0" cellspacing="5" border="0"><tr><td>';
  }
// **********************************************************************************************
  function  tep_draw_infoBox2_bottom()
  {
   return $table = '</td></tr></table>';
  }
// **********************************************************************************************
// **********************************************************************************************
  function  tep_draw_popup_top()
  { return $table = '
  
  
  
  
  ';}
// **********************************************************************************************
  function  tep_draw_popup_bottom()
  { return $table = '
  
  
  
  
  
  ';}
// **********************************************************************************************

// ************************ class infoBox_search_criteria  
  class infoBox_search_criteria extends tableBox {
    function infoBox_search_criteria($contents) {
      $info_box_contents = array();
      $info_box_contents[] = array('text' => $this->infoBoxContents($contents));
      $this->table_cellpadding = '0';
      $this->table_parameters = '';
      $this->tableBox($info_box_contents, true);
    }

    function infoBoxContents($contents) {
      $this->table_cellpadding = '3';
      $this->table_parameters = '';
      $info_box_contents = array();
      for ($i=0, $n=sizeof($contents); $i<$n; $i++) {
        $info_box_contents[] = array(array('align' => (isset($contents[$i]['align']) ? $contents[$i]['align'] : ''),
                                           'form' => (isset($contents[$i]['form']) ? $contents[$i]['form'] : ''),
                                           'params' => ' class="main"',
                                           'text' => (isset($contents[$i]['text']) ? $contents[$i]['text'] : '')));
      }
      return $this->tableBox($info_box_contents);
    }
  }
// **********************************************************************************************
// **********************************************************************************************


// **********************************************************************************************
// **********************************************************************************************
// **********************************************************************************************
// ************************ class tableBox_output1
 class tableBox_output1 {
    var $table_border = '0';
    var $table_width = '100%';
    var $table_cellspacing = '0';
    var $table_cellpadding = '0';
    var $table_parameters = ' ';
    var $table_row_parameters = '';
    var $table_data_parameters = '';

// class constructor
    function tableBox_output1($contents, $direct_output = false) {
      $tableBox_string = '<table border="' . tep_output_string($this->table_border) . '" width="' . tep_output_string($this->table_width) . '" cellspacing="' . tep_output_string($this->table_cellspacing) . '" cellpadding="' . tep_output_string($this->table_cellpadding) . '"';
      if (tep_not_null($this->table_parameters)) $tableBox_string .= '' . $this->table_parameters;
      $tableBox_string .= '>' . "\n";
      for ($i=0, $n=sizeof($contents); $i<$n; $i++) {
        if (isset($contents[$i]['form']) && tep_not_null($contents[$i]['form'])) $tableBox_string .= $contents[$i]['form'] . "\n";
		if ($i != 0) 
		{ 
		$tableBox_string.='<tr><td colspan="'.(($x+$x)-1).'">
		
<table cellpadding="0" cellspacing="0" border="0" class="padd_gg">
	<tr>
    	<td class="prod_line_x" style="width:100%;">'.tep_draw_separator('spacer.gif', '1', '1').'<br></td>
    </tr>
</table>                
		
		
		
		
		
		</td></tr>';
		} 
		$tableBox_string .= '   <tr';
        if (tep_not_null($this->table_row_parameters)) $tableBox_string .= ' ' . $this->table_row_parameters;
        if (isset($contents[$i]['params']) && tep_not_null($contents[$i]['params'])) $tableBox_string .= ' ' . $contents[$i]['params'];
        $tableBox_string .= '>' . "\n";
        if (isset($contents[$i][0]) && is_array($contents[$i][0])) {
          for ($x=0, $n2=sizeof($contents[$i]); $x<$n2; $x++) {
            if (isset($contents[$i][$x]['text']) && tep_not_null($contents[$i][$x]['text'])) {
				if ($x >= 1){
					if($i == 0) {
					$tableBox_string .= '<td class="prod_line_y padd_vv">'.tep_draw_separator('spacer.gif', '1', '1').'</td>';
					}else{ 
					$tableBox_string .= '<td class="prod_line_y padd_vv">'.tep_draw_separator('spacer.gif', '1', '1').'</td>';} 
					}
			  $tableBox_string .= '    <td';
              if (isset($contents[$i][$x]['align']) && tep_not_null($contents[$i][$x]['align'])) $tableBox_string .= ' align="' . tep_output_string($contents[$i][$x]['align']) . '"';
              if (isset($contents[$i][$x]['params']) && tep_not_null($contents[$i][$x]['params'])) {
                $tableBox_string .= ' ' . $contents[$i][$x]['params'];
              } elseif (tep_not_null($this->table_data_parameters)) {
                $tableBox_string .= ' ' . $this->table_data_parameters;
              }
			  if ($i >= 1)	{
              $tableBox_string .= '>';		/*  '.tep_draw_separator('spacer.gif', '1', '9').'<br />  */
			  }else{
			  $tableBox_string .= '>';
			  }
              if (isset($contents[$i][$x]['form']) && tep_not_null($contents[$i][$x]['form'])) $tableBox_string .= $contents[$i][$x]['form'];
			  $tableBox_string .= $contents[$i][$x]['text'];
              if (isset($contents[$i][$x]['form']) && tep_not_null($contents[$i][$x]['form'])) $tableBox_string .= '</form>';
              $tableBox_string .= '</td>  ' . "\n";
            }
          }
        } else {
        $tableBox_string .= '    <td';
        if (isset($contents[$i]['align']) && tep_not_null($contents[$i]['align'])) $tableBox_string .= ' align="' . tep_output_string($contents[$i]['align']) . '"';
        if (isset($contents[$i]['params']) && tep_not_null($contents[$i]['params'])) {
        $tableBox_string .= ' ' . $contents[$i]['params'];
        } elseif (tep_not_null($this->table_data_parameters)) {
          $tableBox_string .= ' ' . $this->table_data_parameters;
          }
          $tableBox_string .= '>' . $contents[$i]['text'] . '</td>' . "\n";
        }
        $tableBox_string .= '  </tr> 	' . "\n";
        if (isset($contents[$i]['form']) && tep_not_null($contents[$i]['form'])) $tableBox_string .= '</form>' . "\n";
      }
      $tableBox_string .= '</table>' . "\n";
      if ($direct_output == true) echo $tableBox_string;
      return $tableBox_string;
    }
  }
// **********************************************************************************************
// ************************ class tableBox_output1
  class contentBox1 extends tableBox_output1 {
    function contentBox1($contents) {
      $info_box_contents = array();
      $info_box_contents[] = array('text' => $this->contentBoxContents($contents));
      $this->table_cellpadding = '0';
      $this->table_parameters = '';
      $this->table_data_parameters = ' class="tableBox_output1_td main"';	  
      $this->tableBox_output1($info_box_contents, true);
    }

    function contentBoxContents($contents) {
      $this->table_cellpadding = '0';
      $this->table_parameters = '';
      return $this->tableBox_output1($contents);
    }
  }
// **********************************************************************************************
 
?>
